Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026794
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformmajoralways2014-06-05 09:252015-03-06 14:04
ReporteregoitzView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version3.0PR15Q2
StatusclosedFix in branchFixed in SCM revision5d6465124256
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026794: Prevent re-starting background processes not finished when starting tomcat

DescriptionPrevent re-starting backround processes not finished when starting tomcat
Steps To ReproduceWhen an ad_process_run has a row with status='PRC', when starting tomcat Openbravo tries to execute that process.

This causes in many cases performance problems because the process does not finish.
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0027315 closedalostale Slow query related to interrupted background processes running on tomcat startup. 

-  Notes
(0073649)
egoitz (developer)
2015-01-20 16:48

also with the following configuration on a ad_process_request the tomcat does not start:

STATUS='SCH' and CHANNEL='Direct'

That is not defined manually but randomly on some executions
(0075029)
hgbot (developer)
2015-02-27 12:43

Repository: erp/mods/com.openbravo.support.test
Changeset: 48e080cf70604834a9666f164e67abe1e1360c04
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Feb 27 12:40:36 2015 +0100
URL: http://code.openbravo.com/erp/mods/com.openbravo.support.test/rev/48e080cf70604834a9666f164e67abe1e1360c04 [^]

added bg process taking long to complete for issue 26794

---
A src-db/database/sourcedata/AD_PROCESS.xml
A src/com/openbravo/support/test/process/DummyBGProcess.java
---
(0075071)
alostale (developer)
2015-03-02 11:59

channel is set as Direct when processes are executed directly from toolbar button instead of scheduling them
(0075072)
alostale (developer)
2015-03-02 12:02

Added test suite in TestLink [1]: Platform > Scheduled processes on Tomcat restart.

Before fixing this issue the status of these test cases is:
 * 8052: Fail, process is re-executed
 * 8053: Fail, process is re-executed
 * 8054: OK
 * 8055: OK

[1] https://testlink.openbravo.com/testlink [^]
(0075093)
hgbot (developer)
2015-03-02 15:07

Repository: erp/devel/pi
Changeset: 5d6465124256165b25897d0b5c37afde04039453
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Mar 02 13:59:01 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/5d6465124256165b25897d0b5c37afde04039453 [^]

fixed issue 26794: some bg processes are restarted on Tomcat start

  Processes sheduled to be run immediatelly or executed from a button in the toolbar,
  that were in execution when Tomcat was stopped, were re-started next time Tomcat
  was started again.

  In these 2 cases now the process requests are marked as 'System Restart' not
  rescheduling them again.

---
M src/org/openbravo/scheduling/OBScheduler.java
M src/org/openbravo/scheduling/Process.java
M src/org/openbravo/scheduling/ProcessRequest_data.xsql
---
(0075125)
hudsonbot (developer)
2015-03-03 16:09

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f4fc528722d4 [^]
Maturity status: Test
(0075247)
AugustoMauch (developer)
2015-03-06 14:04

Code reviewed and verified in pi@486e7700e8d0

- Issue History
Date Modified Username Field Change
2014-06-05 09:25 egoitz New Issue
2014-06-05 09:25 egoitz Assigned To => AugustoMauch
2014-06-05 09:25 egoitz Modules => Core
2014-06-05 09:25 egoitz Triggers an Emergency Pack => No
2014-10-20 02:26 eintelau Issue Monitored: eintelau
2015-01-20 16:48 egoitz Note Added: 0073649
2015-02-24 17:03 alostale Relationship added related to 0027315
2015-02-27 12:43 hgbot Checkin
2015-02-27 12:43 hgbot Note Added: 0075029
2015-03-02 09:38 ngarcia Issue Monitored: ngarcia
2015-03-02 10:23 alostale Assigned To AugustoMauch => alostale
2015-03-02 11:59 alostale Note Added: 0075071
2015-03-02 11:59 alostale Summary Prevent re-starting backround processes not finished when starting tomcat => Prevent re-starting background processes not finished when starting tomcat
2015-03-02 12:02 alostale Note Added: 0075072
2015-03-02 12:23 alostale Review Assigned To => AugustoMauch
2015-03-02 13:58 alostale Tag Attached: Performance
2015-03-02 15:07 hgbot Checkin
2015-03-02 15:07 hgbot Note Added: 0075093
2015-03-02 15:07 hgbot Status new => resolved
2015-03-02 15:07 hgbot Resolution open => fixed
2015-03-02 15:07 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5d6465124256165b25897d0b5c37afde04039453 [^]
2015-03-03 16:09 hudsonbot Checkin
2015-03-03 16:09 hudsonbot Note Added: 0075125
2015-03-06 14:04 AugustoMauch Note Added: 0075247
2015-03-06 14:04 AugustoMauch Status resolved => closed
2015-03-06 14:04 AugustoMauch Fixed in Version => 3.0PR15Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker